Summary:	A Bootp and DHCP client for automatic IP configuration.
Name:		pump
Group:		System Environment/Daemons
License:	GPL
Version:	0.8.22
Release:	1
Source0:	pump-%{version}.tar.gz
Patch1:		pump-0.8.22-Makefile-gd.diff
Patch2:		pump-0.8.22-Makefile-no-netconfig-gd.diff
Requires:	initscripts >= 6.6
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
DHCP (Dynamic Host Configuration Protocol) and BOOTP (Boot Protocol)
are protocols which allow individual devices on an IP network to get
their own network configuration information (IP address, subnetmask,
broadcast address, etc.) from network servers.  The overall purpose of
DHCP and BOOTP is to make it easier to administer a large network.

Pump is a combined BOOTP and DHCP client daemon, which allows your
machine to retrieve configuration information from a server.  You
should install this package if you are on a network which uses BOOTP
or DHCP.

%files
  %defattr(0444,root,root,0555)
  %doc %{_mandir}/man8/pump.8*
  %attr(0640,root,admin)	%{_sysconfdir}/pump.conf
  %attr(0500,root,root)		%{_root_sbindir}/pump

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
  make %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  install -d     $RPM_BUILD_ROOT/%{_mandir}/man8
  install -d     $RPM_BUILD_ROOT/%{_root_sbindir}
  install -d     $RPM_BUILD_ROOT/%{_sysconfdir}
  install pump.8 $RPM_BUILD_ROOT/%{_mandir}/man8
  install pump   $RPM_BUILD_ROOT/%{_root_sbindir}

  # Set up our default pump.conf
  cat > $RPM_BUILD_ROOT/%{_sysconfdir}/pump.conf <<EOF
nodns
EOF

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 29 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.8.22, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
